Bug 20514 (vs-504782) - Feature request: allow copy and paste of unit test stack traces
Summary: Feature request: allow copy and paste of unit test stack traces
Status: RESOLVED FIXED
Alias: vs-504782
Product: Xamarin Studio
Classification: Desktop
Component: NUnit (show other bugs)
Version: 5.0
Hardware: Macintosh Mac OS
: Normal enhancement
Target Milestone: 15.7
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-06-10 14:22 UTC by john
Modified: 2018-05-10 16:06 UTC (History)
4 users (show)

Tags: vs-sync
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description john 2014-06-10 14:22:51 UTC
When there is a crash in a unit test, I can see the full stack trace. But I cannot select it or copy it to the clipboard. That would be very useful for logging issues in our own bug tracking.
Comment 1 Prashant manu 2014-06-11 10:16:43 UTC
We have checked this issue and observed that options ‘Select’ and ‘Copy’ does not exist in Test Results window. 

Screencast : http://screencast.com/t/GiFhZwuTV

Environment Info :
XS Version 5.0 (build 878)
Git revision: bcd66920d963483e7d638a2339c4022fe035b529
Xamarin addins: da9064ce55b0fa90930a7c437a4cc1ae0e5c778c
Comment 2 Dmytro Ovcharov 2017-12-19 11:45:44 UTC
I've check it on MD 7.4 Preview(build 815)  - copy menu exist everywhere, except "Threads" Pad, but i already fix it.
Comment 3 xamarin-release-manager 2018-05-10 16:06:06 UTC
Fixed in version 7.6.0.763 (master)

Pull Request #3516 merged by: Lluis Sanchez
Author: mono
Commit: 5a629fe10006077d6d276a5bca8898aa4399bf8b (mono/monodevelop)